module Main exposing (main)

import Browser
import Core
import Views


main : Program { width : Int, height : Int } Core.FullModel Core.Msg
main =
    Browser.application
        { init = Core.init
        , update = Core.update
        , view = Views.view
        , subscriptions = Core.subscriptions
        , onUrlChange = Core.UrlReceived
        , onUrlRequest = \_ -> Core.Noop
        }
